Package javax.el

## Class LambdaExpression

- java.lang.Object
- - javax.el.LambdaExpression

    public class LambdaExpression
    extends java.lang.Object

### Constructor Summary

Constructors
`LambdaExpression​(java.util.List<java.lang.String> formalParameters, ValueExpression expression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke​(java.lang.Object... args)`
`java.lang.Object` `invoke​(ELContext context, java.lang.Object... args)`
`void` `setELContext​(ELContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LambdaExpression

    public LambdaExpression​(java.util.List<java.lang.String> formalParameters,
                            ValueExpression expression)

### Method Detail

#### setELContext

    public void setELContext​(ELContext context)

#### invoke

    public java.lang.Object invoke​(ELContext context,
                                   java.lang.Object... args)
                            throws ELException

Throws:
  `ELException`

#### invoke

    public java.lang.Object invoke​(java.lang.Object... args)